//
//  CaretX.java
//
//  Copyright (c) 1996, Microsoft Corporation
//

package com.ms.awt;

import java.awt.Component;
import java.awt.Point;
import java.awt.peer.ComponentPeer;
import com.ms.awt.peer.ComponentPeerX;

public class CaretX 
{
	private Component theComponent;
	private int hwnd;
	
	private boolean visible = false;
	private int width ;
	private int height;
	private int x;
	private int y;

	private native void pDispose();
	private native void pSetPos(int x, int y);
	private native void pCreate(int hwnd, int w, int h);
	private native void pShow(int hwnd);
	private native void pHide(int hwnd);
	
	//////////////////////////////////////////////////////////////////////////

	public void finalize()
	{
		pDispose();
	}
	
	//////////////////////////////////////////////////////////////////////////
	
	public CaretX(Component c, int w, int h)
	{
		theComponent 		= c;
		ComponentPeer p 	= c.getPeer();
		ComponentPeerX peer = (ComponentPeerX)p;
		
		hwnd   = peer.gethwnd();
		width  = w;
		height = h;
		pCreate(hwnd,w,h);
	}

	//////////////////////////////////////////////////////////////////////////

	public void show()
	{
		visible = true;
		pShow(hwnd);
	}

	//////////////////////////////////////////////////////////////////////////

	public void hide()
	{
		visible = false;
		pHide(hwnd);
	}

	//////////////////////////////////////////////////////////////////////////

	public void setPos(Point p)
	{
		setPos(p.x, p.y);
	}

	public void setPos(int px, int py)
	{
		x = px;
		y = py;
		System.out.println("Setting caret to (" + x + "," + y + ")");
		pSetPos(x,y);
	}

	//////////////////////////////////////////////////////////////////////////

}

