//
//  MenuBarX.java
//
//  Copyright (c) 1996, Microsoft Corporation
//

package com.ms.awt;

import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuItem;
import java.applet.Applet;

public class MenuBarX extends MenuBar implements MenuXConstants
{
	
	/////////////////////////////////////////////////////////////////////////////////////////

	public int getItemID(String s)
	{
		int nMenus = countMenus();

		for (int m = 0; m < nMenus; m++)
		{
			int i;

			i = ((MenuX)getMenu(m)).getItemID(s);

			if( i != -1 )
				return i;
		}

		return -1;
	}
	
	/////////////////////////////////////////////////////////////////////////////////////////
	//
	// bugbug: doesn't yet allow submenus
	//

	public MenuBarX( MenuItemX items[], int nItems)
	{
		super();
		initialise(items, nItems, null, null);
	}

	public MenuBarX( MenuItemX items[], int nItems, Applet theApp, String param)
	{
		super();
		initialise(items, nItems, theApp, param);
	}

	/////////////////////////////////////////////////////////////////////////////////////////
	
	void initialise( MenuItemX items[], int nItems, Applet theApp, String param)
	{
		MenuX m = null;
		String s;
		
		for( int i=0; i< nItems; i++)
		{
			//
			// read in resource string for menu name.
			//
			if( theApp != null)
			{
				if( param == null )
					s = items[i].getLabel();
				else
					s = param + i;				
				s = theApp.getParameter(s);
				if (s != null)
					items[i].setLabel(s);
			}
			
			if( (items[i].flags & POPUP) != 0 )
			{
				m = new MenuX( items[i].getLabel() );
			}
			else 
			{
                m.add(items[i]);

				if( (items[i].flags & CHECKED) != 0)
					items[i].Check(true);

				if( (items[i].flags & SEPARATOR_NEXT) != 0 )
					m.add(new MenuItem("-"));
				
				if ( (items[i].flags & ENDMENU) != 0)
					add(m);
			}
		}
	}

	////////////////////////////////////////////////////////////////////////////
}
