//
//  MenuX.java
//
//  Copyright (c) 1996, Microsoft Corporation
//

package com.ms.awt;

import java.awt.Menu;
import java.awt.MenuItem;
import java.awt.CheckboxMenuItem;
import java.awt.peer.CheckboxMenuItemPeer;

public class MenuX extends Menu implements MenuXConstants
{
	
	/////////////////////////////////////////////////////////////////////////////////////////

	public boolean CheckMenuItem(int i, int flags)
	{
		int nItems = countItems();

		if( (flags & BY_POSITION) != 0)
		{
			if( i >=  nItems)
				return false;
		}
		else
		{
			int k = -1;

			for(int j=0; j<nItems; j++)
			{
				MenuItem item = getItem(i);
				String l = item.getLabel();

				if( !(l.equals("-")) )
				{
					k = ((MenuItemX)item).getID();
					break;
				}
			}
			if( k == -1 )
				return false;

			i = k;
		}

		MenuItem it = getItem(i);
		if( it instanceof MenuItemX )
		{
			MenuItemX that = (MenuItemX)it;
			that.Check(((flags & CHECKED) != 0) ?true : false);
			return true;
		}
		return false;
	}

	/////////////////////////////////////////////////////////////////////////////////////////

	public boolean CheckMenuItem( String s, int flags)
	{
		if( (flags & BY_POSITION) != 0)
			return false;

		int i = getItemID(s);

		if( i == -1 )
			return false;
			
		CheckMenuItem(i, flags & BY_POSITION);
		return true;
	}

	/////////////////////////////////////////////////////////////////////////////////////////

	public int getItemID(String s)
	{
		int nItems = countItems();

		for(int i = 0; i<nItems; i++)
		{
			// note: separators are NOT MenuItemX!
			//
			MenuItem item = getItem(i);
			String l = item.getLabel();

			if( s.equals(l) )
				return ((MenuItemX)item).getID();
		}
		return -1;
	}
	
	/////////////////////////////////////////////////////////////////////////////////////////
	//
	// bugbug: doesn't yet allow submenus
	//

	public MenuX( String theLabel )
	{
		super(theLabel);
	}

	////////////////////////////////////////////////////////////////////////////
}
