//
//  ByteArrayImageSource.java
//
//  Copyright (c) 1996, Microsoft Corporation
//

package com.ms.awt.image;

import java.io.*;
import sun.awt.image.*;

public class ByteArrayImageSource extends InputStreamImageSource 
{
    String imagefile;
    byte   data[];
                
    public ByteArrayImageSource(String filename, byte data[]) 
    {
        if ( filename == null || data == null ) {
			throw new NullPointerException();
		}
		
		imagefile = filename;
        this.data = data; 
    }

    final boolean checkSecurity(Object context, boolean quiet) 
    {
        return true;
    }

    protected ImageDecoder getDecoder() 
    {
        InputStream is;

        is = new BufferedInputStream(new ByteArrayInputStream(data));

        int suffixpos = imagefile.lastIndexOf('.');
        if (suffixpos >= 0) {
            String suffix = imagefile.substring(suffixpos+1).toLowerCase();
            if (suffix.equals("gif")) {
                return new GifImageDecoder(this, is);
            } else if (suffix.equals("jpeg") || suffix.equals("jpg") ||
                suffix.equals("jpe") || suffix.equals("jfif")) {
                return new JPEGImageDecoder(this, is);
            } else if (suffix.equals("xbm")) {
                return new XbmImageDecoder(this, is);
            }
        }
        return getDecoder(is);
    }
}







