//
//  WininetStreamHandlerFactory.java
//
//  Copyright (c) 1996, Microsoft Corporation
//

package com.ms.net.wininet;

import java.net.*;

public
class WininetStreamHandlerFactory implements java.net.URLStreamHandlerFactory
{
    //  Use the same user agent string as sun.net.www.http.HttpClient.
    static final String	userAgentString = 
        System.getProperty("http.agent", "Java" + System.getProperty("java.version"));

    static {
        initNative(userAgentString);
    }

    private static native int initNative(String userAgent);

    public java.net.URLStreamHandler createURLStreamHandler(String protocol)
    {
        //  Although WININET supports more protocols than this, for now, we'll
        //  limit our support to HTTP and HTTPS.
        if (protocol.equals("http")) {
            return new com.ms.net.wininet.http.Handler(false);
        } else if (protocol.equals("https")) {
            return new com.ms.net.wininet.http.Handler(true);
        } else {
            return null;
        }
    }
}
