/*
 * @(#)AppletViewerFactory.java	1.2 96/04/22
 * 
 * Copyright (c) 1994,1996 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for NON-COMMERCIAL purposes and without fee is hereby
 * granted provided that this copyright notice appears in all copies. Please
 * refer to the file "copyright.html" for further important copyright and
 * licensing information.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
 * OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY
 * LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR
 * ITS DERIVATIVES.
 */

package sun.applet;

import java.util.Hashtable;
import java.net.URL;
import java.awt.MenuBar;

/**
 * AppletViewerFactory lets us override some specific
 * functionality.  For example, the "clone" menu item
 * uses this interface to create a new AppletViewer of whatever type
 * was originally constructed.
 */

public
interface AppletViewerFactory {
    /**
     * Return a new AppletViewer of whatever type
     */
    public AppletViewer createAppletViewer(int x, int y, URL doc, 
										   Hashtable atts);
    /**
     * Return a MenuBar object that we can add our Applet menu to
     */
    public MenuBar getBaseMenuBar();

    /**
     * If true, we add a "quit" menu item
     */
    public boolean isStandalone();
}
